intl_error_name
intl_get_error_message
intl Functions
PHP Manual

# intl_get_error_code

(No version information available, might be only in CVS)

intl_get_error_code — Get the last error code

### Description

integer intl_get_error_code ( void )

Useful to handle errors occured in static methods when there's no object to get error code from.

### Return Values

Error code returned by the last API function call.

### Examples

Example #1 intl_get_error_code() example

`<?php
$coll = collator_create( '<bad_param>' );
if( !$coll ) {
handle_error( intl_get_error_code() );
}
?>`

### See Also

- intl_is_failure()
- intl_error_name()
- intl_get_error_message()
- collator_get_error_code()
- numfmt_get_error_code()

intl_error_name
intl_get_error_message
intl Functions
PHP Manual